Bug 1191079 (CVE-2014-9657)

Summary: CVE-2014-9657 freetype: off-by-one buffer over-read in tt_face_load_hdmx()
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: acathrow, alonbl, bazulay, behdad, bmcclain, cfergeau, dblechte, ecohen, erik-fedora, fedora-mingw, fonts-bugs, gklein, idith, iheim, kevin, lfarkas, lsurette, michal.skrivanek, mkasik, rbalakri, rh-spice-bugs, rjones, yeylon
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20141124,reported=20150210,source=cve,cvss2=2.6/AV:N/AC:H/Au:N/C:N/I:N/A:P,cwe=CWE-193->CWE-125,rhel-4/freetype=wontfix,rhel-5/freetype=wontfix,rhel-6/freetype=affected,rhel-7/freetype=affected,rhev-m-3/mingw-virt-viewer=affected,fedora-all/freetype=affected,fedora-all/mingw-freetype=affected,epel-7/mingw-freetype=affected
Fixed In Version: freetype 2.5.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-18 07:40:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1191099, 1197737, 1197738, 1197739, 1197740    
Bug Blocks: 1191102    

Description Vasyl Kaigorodov 2015-02-10 12:50:07 UTC
Common Vulnerabilities and Exposures assigned CVE-2014-9657 to the following issue:

The tt_face_load_hdmx function in truetype/ttpload.c in FreeType before 2.5.4
does not establish a minimum record size, which allows remote attackers to cause
a denial of service (out-of-bounds read) or possibly have unspecified other
impact via a crafted TrueType font.

http://code.google.com/p/google-security-research/issues/detail?id=195
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=eca0f067068020870a429fe91f6329e499390d55

Comment 1 Vasyl Kaigorodov 2015-02-10 12:55:14 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1191099]

Comment 2 Tomas Hoger 2015-02-19 13:13:10 UTC
Upstream bug is:
https://savannah.nongnu.org/bugs/?43679

Issue was fixed upstream in 2.5.4.

This is a single byte heap-based buffer over-read.  A probability of this causing crash is extremely low.

Comment 4 Fedora Update System 2015-02-19 18:01:04 UTC
freetype-2.5.3-15.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-02-20 08:30:37 UTC
freetype-2.5.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-03-17 17:58:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0696 https://rhn.redhat.com/errata/RHSA-2015-0696.html